ssu(1)

NAME
ssu - allow unprivileged user to become root

SYNOPSIS
ssu [-f | -m | -l | -c command]

DESCRIPTION
The ssu command allows an unprivileged user to become root on the local machine without changing his SFS credentials. ssu invokes the command su to become root. Thus, the access and password checks needed to become root are identical to those of the local operating system's su command. ssu also runs /usr/local/lib/sfs-0.7.2/newaid to alter the group list so that SFS can recognize the root shell as belonging to the original user.

OPTIONS

-f
-m  These options are passed through to the su command.

-l  This option causes the newly spawned root shell to behave like a login shell.

-c command
    Tells ssu to tell su to run command rather than running a shell.

SEE ALSO
dirsearch(1), newaid(1), rex(1), sfsagent(1), sfskey(1), sfs_config(5), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfsauthd(8), sfscd(8), sfsrwsd(8), sfssd(8), vidb(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

BUGS
Note, ssu does not work on some versions of Linux because of a bug in Linux. To see if this bug is present, run the command su root -c ps. If this command stops with a signal, your su command is broken and you cannot use ssu.

AUTHOR
sfsdev@redlab.lcs.mit.edu